## dvdspu

dvdspu — Parses Sub-Picture command streams and renders the SPU overlay onto the video as it passes through

## Types and Values

| GstDVDSpu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstDVDSpu

## Description

DVD sub picture overlay element.

### Example launch line

    1

    FIXME: gst-launch ...

FIXME: description for the sample launch pipeline

## Synopsis

### Element Information

plugin | dvdspu
author | Jan Schmidt <thaytan@noraisin.net>
class | Mixer/Video/Overlay/SubPicture/DVD/Bluray

### Element Pads

name | subpicture
direction | sink
presence | always
details | subpicture/x-dvd
| subpicture/x-pgs

name | video
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, NV12, YV12 }, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, NV12, YV12 }, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]

## Functions

## Types and Values

### GstDVDSpu

    typedef struct _GstDVDSpu GstDVDSpu;